FreeBSD : gnats -- format string vulnerability (fc99c736-3499-11d9-98a7-0090962cff2a)

Critical Nessus Plugin ID 36760


The remote FreeBSD host is missing one or more security-related updates.


Gnats suffers from a format string bug, which may enable an attacker to execute arbitary code.


Update the affected packages.

See Also

Plugin Details

Severity: Critical

ID: 36760

File Name: freebsd_pkg_fc99c736349911d998a70090962cff2a.nasl

Version: $Revision: 1.11 $

Type: local

Published: 2009/04/23

Modified: 2015/05/13

Dependencies: 12634

Risk Information

Risk Factor: Critical


Base Score: 10

Vector: CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:gnats, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2004/11/12

Vulnerability Publication Date: 2004/06/21

Reference Information

CVE: CVE-2004-0623